/******************************************************************************
 *
 * MotionViewer
 * Copyright (C) 2007 Sangyoon Lee, Electronic Visualization Laboratory, 
 * University of Illinois at Chicago
 *
 * This software is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either Version 2.1 of the License, or 
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public 
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser Public License along
 * with this software; if not, write to the Free Software Foundation, Inc., 
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Questions or comments about MotionViewer should be directed to 
 * cavern@evl.uic.edu
 *
 *****************************************************************************/


#ifndef __VICONMANAGER_H__
#define __VICONMANAGER_H__

// connect to RT
// load V
// load c3d
// handle subject template and calibration file
// need rendering featrue or jsut pure vicon related code?

class ViconManager
{
public:
	ViconManager();
	~ViconManager();

	bool connectViconRT(char* addr);
	bool loadVFile(char* vfile, char* vskfile);
	bool loadC3DFile(char* c3dfile, char* vskfile);

	void update(float addedTime);

protected:
	
};

#endif